Bug 139848 - add pre-caching to net-mgmt/nagios rc.d script
add pre-caching to net-mgmt/nagios rc.d script
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Philip M. Gollucci
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-22 21:50 UTC by kimor79
Modified: 2010-01-08 01:35 UTC (History)
0 users

See Also:


Attachments
file.diff (1.97 KB, patch)
2009-10-22 21:50 UTC, kimor79
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kimor79 2009-10-22 21:50:01 UTC
The nagios documentation (http://nagios.sourceforge.net/docs/3_0/faststartup.html) recommends, for faster startup times, pre-caching the configuration file. This patch adds a "nagios_precache" rcvar which controls using the pre-cache startup method.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-10-22 21:50:09 UTC
Maintainer of net-mgmt/nagios,

Please note that PR ports/139848 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/139848

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-10-22 21:50:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 jarrod 2009-11-03 22:02:41 UTC
I'm looking at this patch now and how it fits in to Nagios 3.2.0.  I have 
a few tweaks to make to your patch and will supply an updated diff in the 
next day or so but the logic looks sound.  Thanks.

Jarrod.
Comment 4 Mark Linimon freebsd_committer 2009-11-03 23:20:41 UTC
State Changed
From-To: feedback->suspended

maintainer is working on a patch that incorporates this as well as 
other changes.
Comment 5 jarrod 2009-12-26 02:54:11 UTC
A slightly modified version of the supplied patch can be found below. 
Thanks Kimo for the initial submission!

http://www.netleader.com.au/~jarrod/FreeBSD/net-mgmt-nagios-precache.diff

Jarrod.
Comment 6 Mark Linimon freebsd_committer 2009-12-26 07:45:28 UTC
State Changed
From-To: suspended->open

new patch from maintainer.
Comment 7 Philip M. Gollucci freebsd_committer 2010-01-07 05:29:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 8 dfilter freebsd_committer 2010-01-08 01:20:08 UTC
pgollucci    2010-01-08 01:19:53 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/nagios/files nagios.in 
  Log:
  - The nagios documentation
  (http://nagios.sourceforge.net/docs/3_0/faststartup.html) recommends,
  for faster startup times, pre-caching the configuration file. This patch
  adds a "nagios_precache" rcvar which controls using the pre-cache
  startup method.
  
  - also fix a trailing \
  
  PR:             ports/139848
  Submitted by:   kimo <kimor79@yahoo.com>
  Approved by:    maintainer (Jarrod Sayers <jarrod@netleader.com.au>)
  
  Revision  Changes    Path
  1.3       +36 -2     ports/net-mgmt/nagios/files/nagios.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Philip M. Gollucci freebsd_committer 2010-01-08 01:34:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!